Bug 1796895 - openshift-tests can't run tests for CSI drivers
Summary: openshift-tests can't run tests for CSI drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Fabio Bertinatto
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 13:10 UTC by Fabio Bertinatto
Modified: 2020-05-04 11:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:28:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24484 None closed Bug 1796895: Don't use annotation in openshift/csi test suite 2020-09-21 14:14:41 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:28:51 UTC

Description Fabio Bertinatto 2020-01-31 13:10:33 UTC
Description of problem:

https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_release/6667/rehearse-6667-pull-ci-openshift-csi-external-provisioner-master-e2e-aws-csi/10

secret/support created
Jan 30 09:46:40.152: INFO: Running 'oc --namespace= --kubeconfig= apply -f /tmp/openshift-tests-csi-740903449'
serviceaccount/ebs-csi-controller-sa created
clusterrole.rbac.authorization.k8s.io/ebs-external-provisioner-role created
clusterrolebinding.rbac.authorization.k8s.io/ebs-csi-provisioner-binding created
clusterrole.rbac.authorization.k8s.io/ebs-external-attacher-role created
clusterrolebinding.rbac.authorization.k8s.io/ebs-csi-attacher-binding created
clusterrole.rbac.authorization.k8s.io/ebs-external-resizer-role created
clusterrolebinding.rbac.authorization.k8s.io/ebs-csi-resizer-binding created
statefulset.apps/ebs-csi-controller created
daemonset.apps/ebs-csi-node created
csidriver.storage.k8s.io/ebs.csi.aws.com created
I0130 09:46:42.953485     322 test_context.go:419] Tolerating taints "node-role.kubernetes.io/master" when considering if nodes are ready
error: suite "openshift/csi" does not contain any tests

Comment 2 Chao Yang 2020-02-20 05:43:40 UTC
Tracking this here
https://issues.redhat.com/browse/STOR-223

Comment 5 errata-xmlrpc 2020-05-04 11:28:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.